package com.gx.obe.message;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

 
/** 
 * @Description: 插件加载机制获取当前语言
 * @author mazc 
 */
public class PluginResource{

	private PluginResource backup;

	private Object base;

	private ResourceBundle bundle;

		public void setBackup(PluginResource backup){
		this.backup = backup;
	}

	public PluginResource(Class clazz , String plugin){
		base = clazz;
		bundle = ResourceBundle.getBundle(plugin, Locale.getDefault(), clazz.getClassLoader());
	}

	public String getValue(String key,String defaultMenu){
		String result = null;
		try{
			if (bundle != null){
				result = bundle.getString(key);
			}
		} catch (MissingResourceException e){
		}
		if(null != result){
			return result;
		}
		if(null == defaultMenu){
			return "";
		}
		return defaultMenu;
	}
}

