package com.gx.obe.message.dictionary;

import org.eclipse.core.runtime.Platform;
import org.eclipse.osgi.util.NLS;

import com.gx.obe.message.PluginResource;
public class DictionaryMessages extends NLS {
	private static final String BUNDLE_NAME = "com.gx.obe.message.dictionary.messages"; //$NON-NLS-1$
	private static PluginResource pluginResource = new PluginResource(DictionaryMessages.class, BUNDLE_NAME);
	private static String language;
	static {
		NLS.initializeMessages(BUNDLE_NAME, DictionaryMessages.class);
		language = Platform.getNL();
	}

	private DictionaryMessages() {
	}
	
	public static String getValue(String key,String defaultMenu){
		if(language.startsWith("zh_CN")){
			return defaultMenu;
		}
		if(null == key){
			return defaultMenu;
		}
		return pluginResource.getValue(key,defaultMenu);
	}
}
